/*****************************************************************************\
 *
 * rpLib	- graphic library for rapid development of graphical applications
 *
 * Author:	Pavel Gunia (xgunia01 @ stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/


#ifndef RPAPPLICATIONWIN32_H
#define RPAPPLICATIONWIN32_H

#include "rpapplication.h"

#ifdef WIN32
#include "windows.h"


class rpApplicationWin32 :
	public rpApplication
{
public:
	// constructor
	// must run rpApplication's constructor
	rpApplicationWin32(E_VIDEO_DRIVER, int, int, bool);	
	virtual ~rpApplicationWin32(void);

	
	// set window caption
	virtual void setCaption(const c8*);
	
	
	// windows message loop
	// runs the whole application
	virtual bool run();

	

protected:
	HWND	HWnd;

};
#endif

#endif