/*****************************************************************************\
 *
 * rpLib	- graphic library for rapid development of graphical applications
 *
 * Author:	Pavel Gunia (xgunia01 @ stud.fit.vutbr.cz)
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/


#ifndef RPLIGHTNODE_H
#define RPLIGHTNODE_H

#include "rpscenenode.h"

class rpLightNode :
	public rpSceneNode
{
public:
	rpLightNode(rpSceneNode *, rpSceneManager *);
	virtual ~rpLightNode(void);

	rpColorf	diffuseColor;
	rpColorf	specularColor;
	rpColorf	ambientColor;

	f32			radius;

	// RENDERING METHODS

	virtual void preRender();
	virtual void Render();
    
};

#endif
