#ifndef __rpsc_H__
#define __rpsc_H__
#include "rpLib.h"


void load_exported_rpsc(rpSceneManager *_smgr)
{
	if (_smgr) {
		rpGeometryNode *_node = NULL;

		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/engine.oo", "../media/ALUM_3.JPG");
		if (_node) {
			_node->move(0.0, 0.0, -0.0905492);
			_node->rotate(0.0, 0.0, 0.0);
			// user defined properties (pasted c++ code)
			
		}
		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/cylinder.oo", "../media/ALUM_3.JPG");
		if (_node) {
			_node->move(-0.000204057, 0.0036366, -0.0898075);
			_node->rotate(0.0, -0.0673793, 0.0);
			// user defined properties (pasted c++ code)
			
		}
		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/gear01.oo", "../media/BRNRUST1.JPG");
		if (_node) {
			_node->move(2.83191, 1.68255, 0.03699);
			_node->rotate(0.0, -0.708167, 0.0);
			// user defined properties (pasted c++ code)
			
		}
		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/gear02.oo", "../media/BRNRUST1.JPG");
		if (_node) {
			_node->move(-1.28734, 6.38811, 0.0485826);
			_node->rotate(0.0, -0.707107, 0.0);
			// user defined properties (pasted c++ code)
			
		}
		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/gear00.oo", "../media/BRNRUST1.JPG");
		if (_node) {
			_node->move(3.76034, 4.05359, 0.0394333);
			_node->rotate(0, 0.707584, 0);
			// user defined properties (pasted c++ code)
			
		}
		// load geometry node
		_node = _smgr->newGeometryNode(NULL, "../media/gear02.oo", "../media/BRNRUST1.JPG");
		if (_node) {
			_node->move(-1.29587, 6.38811, 0.0485826);
			_node->rotate(0.0, 0.706766, 0.0);
			// user defined properties (pasted c++ code)
			
		}
	}
}
#endif
